Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.xml
Class JaxbNodeInstanceLog

    java.lang.Object
      org.jbpm.process.audit.xml.AbstractJaxbHistoryObject<NodeInstanceLog>
          org.jbpm.process.audit.xml.JaxbNodeInstanceLog

    public class JaxbNodeInstanceLog

extends AbstractJaxbHistoryObject<NodeInstanceLog>

Field Summary

Fields inherited from class org.jbpm.process.audit.xml.AbstractJaxbHistoryObject
`realClass`

Constructor Summary
`JaxbNodeInstanceLog()`
`JaxbNodeInstanceLog(NodeInstanceLog origLog)`

Method Summary
`String` | `getConnection()`
`Date` | `getDate()`
`String` | `getExternalId()`
`Long` | `getId()`
`String` | `getNodeId()`
`String` | `getNodeInstanceId()`
`String` | `getNodeName()`
`String` | `getNodeType()`
`String` | `getProcessId()`
`Long` | `getProcessInstanceId()`
`Integer` | `getType()`
`long` | `getWorkItemId()`

Methods inherited from class org.jbpm.process.audit.xml.AbstractJaxbHistoryObject
`createEntityInstance, readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbNodeInstanceLog

    public JaxbNodeInstanceLog()

### JaxbNodeInstanceLog

    public JaxbNodeInstanceLog(NodeInstanceLog origLog)

Method Detail

### getId

    public Long getId()

### getProcessInstanceId

    public Long getProcessInstanceId()

### getProcessId

    public String getProcessId()

### getDate

    public Date getDate()

### getType

    public Integer getType()

### getNodeInstanceId

    public String getNodeInstanceId()

### getNodeId

    public String getNodeId()

### getNodeName

    public String getNodeName()

### getNodeType

    public String getNodeType()

### getWorkItemId

    public long getWorkItemId()

### getConnection

    public String getConnection()

### getExternalId

    public String getExternalId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.